### Property

# Adw SidebarItem:drag-motion-activate

since: 1.9

#### Declaration

    property drag-motion-activate: gboolean [ read, write ]

#### Description [src]

Whether to activate the item on pointer motion during Drag-and-Drop.

This is needed to be able to drag content into the page the item represents, when the sidebar is used as a page switcher. However, it may be unwanted when dropping content onto the item itself, so it can be disabled.

Type:`gboolean`

Available since: 1.9

Default value | TRUE
Getter method | `adw_sidebar_item_get_drag_motion_activate()`
Setter method | `adw_sidebar_item_set_drag_motion_activate()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no